#!/bin/sh 
SYSPBRH=$(grep -c Debian /etc/issue)
SYSPBRHU=$(grep -c Ubuntu /etc/issue)
SYSPBRH=$(($SYSPBRH+$SYSPBRHU))
SYSPBDB=$(grep -c Redhat /etc/issue)
SYSPBDBC=$(grep -c CentOS /etc/issue)
SYSPBDBF=$(grep -c Fedora /etc/issue)
SYSPBDB=$(($SYSPBDB+$SYSPBDBC+$SYSPBDBF))
if [ $SYSPBRH -ge 1 ] ; then
	apt-get install -y make
fi
if [ $SYSPBDB -ge 1 ] ; then
	yum install -y make
fi
GVER=$(gcc --version | head -n1 | cut -d' ' -f3)
if [[ $GVER == 4* ]] ; then
    echo "gcc version "$GVER
else
	if [ $SYSPBRH -ge 1 ] ; then
	    apt-get install -y gcc  
	fi
	if [ $SYSPBDB -ge 1 ] ; then
	 yum install -y gcc 
	fi
fi
	if [ $SYSPBRH -ge 1 ] ; then
				apt-get install -y ia32-libs-gtk
	fi
	if [ $SYSPBDB -ge 1 ] ; then
	 yum install -y glibc.i686 
	 yum install -y libstdc++-devel.i386 
	 yum install -y libzdb.i386
	fi

	if [ $SYSPBRH -ge 1 ] ; then
				apt-get install -y php
	fi
	if [ $SYSPBDB -ge 1 ] ; then
	 yum install -y php 
	fi	
service httpd start
sleep 0.01
service httpd restart
sleep 0.01

CNTHTTPD=$(ps -ef|grep -c httpd)

if [ $CNTHTTPD -le 5 ] ; then
	if [ $SYSPBRH -ge 1 ] ; then
				apt-get install -y httpd
	fi
	if [ $SYSPBDB -ge 1 ] ; then
	 yum install -y httpd 
	fi
fi

mkdir -p /www/
mkdir -p /var/www/html
\cp -r www/* /www/
chmod -R 777 /www/config
chmod -R 777 /www/data
CPRES=0
CPRES=$(ps -ef|grep -c SkypetoSipGw)
MYFILE="/etc/rc.d/rc.local"
if [ ! -f "$MYFILE" ] ; then
 touch "$MYFILE";
 chmod 777 /etc/rc.d/rc.local
fi

FHTTPD="/etc/httpd/conf/httpd.conf"
FHTTPD2="/usr/local/apache/conf/httpd.conf"
FAST="/etc/httpd/conf.d/elastix.conf"
if [  -f "$FHTTPD" ] ; then
	\cp skypetosip.conf  /etc/httpd/conf.d
	if [  -f "$FAST" ] ; then
		\cp elastix.conf  /etc/httpd/conf.d
	fi
fi
if [  -f "$FHTTPD2" ] ; then
	RESH=0
	RESH=$(grep -c /usr/local/apache/conf/httpd.conf conf/extra/skypetosip.conf)
	if [ $RESH -eq 0 ]; then
	echo Include conf/extra/skypetosip.conf >> /usr/local/apache/conf/httpd.conf
	fi
	\cp skypetosip.conf /usr/local/apache/conf/extra/
fi
service httpd start
service httpd restart

RES=0
RES=$(grep -c /usr/bin/Gwd /etc/rc.d/rc.local)
if [ $RES -eq 0 ]; then
echo /usr/bin/Gwd >> /etc/rc.d/rc.local
fi
if [ $CPRES -ge 2 ] ;then
echo "install failed!uninstall the old version first"
else
\cp Gwd  /usr/bin/
\cp SkypetoSipGw  /usr/bin/
\cp linux-x86-skypekit-voicertp-novideo /usr/bin/
chmod 777 /usr/bin/linux-x86-skypekit-voicertp-novideo
chmod 777 /usr/bin/SkypetoSipGw
chmod 777 /usr/bin/Gwd
/usr/bin/Gwd &
echo "install success!"
fi
